# start up with screen keys
set -g prefix C-a
unbind C-b
bind-key a send-prefix
bind-key C-a last-window

# #F: flag, #I, window index, #W window name, #P pane, #D pane unique id, #S session, #T pane title,
set -g status-left "#[fg=colour005,bg=colour107]#S🍱 #I #[bg=colour156,fg=colour20]🍕#P(#D)#[fg=colour18,bg=colour113] 📛 #W "
set -g status-left-length 40
set -g status-right "%Y/%m/%e %H:%M %Z"

setw -g monitor-activity on
set -g visual-activity on

set -g status-justify left

set -g status-fg colour151
set -g status-bg colour058

# List of plugins
set -g @plugin 'tmux-plugins/tpm'
set -g @plugin 'tmux-plugins/tmux-sensible'
set -g @plugin 'tmux-plugins/tmux-pain-control'
set -g @plugin 'tmux-plugins/tmux-urlview'
set -g @plugin 'jimeh/tmux-themepack'
set -g @themepack 'powerline/block/yellow'


# Other examples:
# set -g @plugin 'github_username/plugin_name'
# set -g @plugin 'git@github.com/user/plugin'
# set -g @plugin 'git@bitbucket.com/user/plugin'

# Initialize TMUX plugin manager (keep this line at the very bottom of tmux.conf)
run '~/.tmux/plugins/tpm/tpm'

set-option -ga terminal-overrides ",xterm-256color:Tc"
